Customer pools
Prepare Customer Pool Attributes
Prepare customer pool attributes from imported or provided attribute names.
Authorization
clientKeyHeader clientSecretHeader x-client-key<token>
Client API key credential.
In: header
x-client-secret<token>
Client API secret credential.
In: header
Path Parameters
projectId*string
customerPoolId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.dokaai.com/api/v1/dokaai/customer/projects/string/customer-pools/string/custom-attributes/prepare" \ -H "Content-Type: application/json" \ -d '{ "attributeList": [ "string" ] }'{
"status": "success",
"message": "string",
"data": [
{
"sourceFieldName": "string",
"fieldDisplayName": "string",
"fieldName": "string",
"fieldType": "string",
"attributeType": "CUSTOM",
"isNew": true,
"isValid": true,
"isDuplicateSuggestion": true,
"validationReason": "string"
}
],
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}